<?
session_start();
if(empty($login)){
print "<script>top.location.href='index.php';</script>";
}
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="Content-Language" content="ru">
<LINK REL=StyleSheet HREF='style.css' TYPE='text/css'>
</head>
<BODY bgcolor=#dedede leftMargin=0 topMargin=0 MARGINWIDTH="0" 
MARGINHEIGHT="0">

<?
include "conf.php";
include "functions.php";
if (ereg("[<>\\/-]",$act) or ereg("[<>\\/-]",$item) or ereg("[<>\\/-]",$level) or ereg("[<>\\/-]",$razdel) or ereg("[<>\\/-]",$item_id)) {print "?!"; exit();}
$act=htmlspecialchars($act);
$item=htmlspecialchars($item);
$razdel=htmlspecialchars($razdel);
$item_id=htmlspecialchars($item_id);

$result = mysql_query("SELECT * FROM users WHERE login='$login'");
$db = mysql_fetch_array($result);


$cure_hp=$db["cure_hp"];
$cure_mn=$db["cure_mn"];
$time_to_cure=$cure_hp-time();
$hhh=$db["hp_all"];
if($db["battle"]==0){
if($time_to_cure>0){
$percent_hp=floor((100*$time_to_cure)/1200);
$percent=100-$percent_hp;
$percent=$percent;
$hp[0]=floor(($hhh*$percent)/100);
$sss="UPDATE users SET hp='$hp[0]' WHERE login='$login'";
$q=mysql_query($sss);
}
else{
$hp[0]=$db["hp_all"];
$SS = mysql_query("UPDATE users SET hp='$hp[0]',cure_hp='0' WHERE login='$login'");
$time_to_cure_f=0;
}
}


$room=$db["room"];

if($act=="go"){

$LOOK_MINE = mysql_query("SELECT login FROM miners");
    while($LOOK_M = mysql_fetch_array($LOOK_MINE)){
     if($LOOK_M["login"] == $login){
      print "Вы добываете ресурсы. Вы не можете передвигаться сейчас.";
      die();
     }
    }

if($db["movable"]==0){
print "Вы не можете передвигаться!<BR>";
print "<a href='main.php?act=none' class=us2>вернуться</a>";
die();
}
if($room == "Бойцовский клуб"){
if($level != "km_1" && $level != "km_2" && $level != "km_3" && $level != "km_4" && $level != "centplosh"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Будуар"){
if($level != "castle"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Зал войнов 3"){
if($level != "castle"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Зал войнов 2"){
if($level != "castle"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Зал войнов"){
if($level != "castle"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Центральная площадь"){
if($level != "castle" && $level != "shop" && $level != "rep" && $level != "prision" && $level != "registratura" && $level != "cityhall"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Магазин"){
if($level != "centplosh"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Ремонтная мастерская"){
if($level != "centplosh"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Тюрьма"){
if($level != "centplosh"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Регистратура кланов"){
if($level != "centplosh"){
print "Проход через стену не возможен.";
die();}
}
if($room == "Кадровый отдел"){
if($level != "centplosh"){
print "Проход через стену не возможен.";
die();}
}
if($db["prision"]!=0){
print "Вы отбываете тюремное заключение! Вы не можете покинуть здание тюрьмы.<BR>";
print "<a href='main.php?act=none' class=us2>вернуться</a>";
die();
}
if($db["mass"]>$db["maxmass"]){
print "Вы не можете передвигаться! Масса всех вещей [<b>".$db["mass"]."</b>] превышает допустимую норму [<b>".$db["maxmass"]."</b>]<BR>";
print "<a href='main.php?act=none' class=us2>вернуться</a>";
die();
}
else{

if(($level == "dub" || $level == "bereza") && $db["level"]==0){
print "Проход сюда только после 1-го уровня.";
die();
}
if($level == "go_city"){
// print "Извините,но дорога в Моунтоун завалена камнями и обломками деревьев.<BR> Проход невозможен. Рабочие очистят проход в ближайшее время.";
include "wheretogo.php";
die();
}

/*if($level == "cityhall"){
print "<script>location.href='cityhall.php?act=none'</script>";
die();
}
*/
include "room_rus.php";
$res=mysql_query("UPDATE users SET room='$level' WHERE login='$login'");
print "<script>parent.msg.p.innerHTML='';</script>";
print "<script>parent.ref.location.reload();</script>";
print "<script>location.href='main.php?act=none'</script>";
print "идем...";
die();
}
}
if($act=="exit"){
session_unset();
print "Выход...";
print "<script>top.location.href='index.php'</script>";
die();
}
if($db["battle"]==0){

if($act=="orden"){
include "orden.php";
die();
}

if($act == "inv"){
include "inv.php";
die();
}

if($act=="wear"){
$detect = mysql_query("SELECT * FROM inv WHERE id='$item_id'");
$resultat = mysql_fetch_array($detect);
$nadet = $resultat["wear"];
$owner = $resultat["owner"];
if(!$resultat or $owner!=$login){print"Вещь не найдена в инвентаре."; die();}
if($nadet==1){print"Вещь уже надета."; die();}
wear($login,$item_id);
}

if($act=="unwear"){
$detect = mysql_query("SELECT * FROM inv WHERE id='$item_id'");
$resultat = mysql_fetch_array($detect);
$nadet = $resultat["wear"];
$owner = $resultat["owner"];
if(!$resultat or $owner!=$login){print"Вещь не найдена в инвентаре."; die();}
if($nadet==0){print"Вещь уже снята."; die();}
unwear($login,$item_id);
}
if($act=="unwear_full"){
unwear_full($login,$item_id);
}

if($act=="unwear_thing"){
unwear_t($login,$item_id);
}

if($act=="wear_thing"){
wear_t($login,$item_id);
}


if($act=="perevod"){
include "give.php";
die();
}

if($act=="clan"){
include "clan.php";
die();
}

if($act=="char"){
include "char.php";
die();
}
if($act=="anketa"){
include "ank.php";
die();
}
if($act=="magic"){
include "magic.php";
die();
}
if($act=="del_item"){
$detect = mysql_query("SELECT * FROM inv WHERE id='$item'");
$resultat = mysql_fetch_array($detect);
$owner = $resultat["owner"];
if(!$resultat or $owner!=$login){print"Вещь не найдена в инвентаре."; die();}

$s="select * from inv where id=$item";
$q=mysql_query($s);
$res=mysql_fetch_array($q);
$obj_type=$res["object_type"];
$obj_id=$res["object_id"];

$ss="select * from $obj_type where id=$obj_id";
$qq=mysql_query($ss);
$res2=mysql_fetch_array($qq);
$name=$res2["name"];
?>
<script>
if(confirm('Вы уверены что хотите удалить "<?echo $name?>"?')){location.href='main.php?act=del_item_conf&item=<?echo $item?>';}
else{location.href='main.php?act=inv&razdel=obj';}
</script>
<?
}
if($act=="del_item_conf"){
print"$inv_clouse";
del_item($login,$item);
}

}


testUp($login);
testShut($login);
testPrision($login);
testBattle($login);
testBlok($login);
testMove($login);

if($db["travm"]!=0){
testCureTravm($login);
}


if(empty($razdel)){
$razdel="";
}



if($db["travm"]!=0){
testCureTravm($login);
}






if($act=="gift"){
$detect = mysql_query("SELECT * FROM inv WHERE id='$item_id'");
$resultat = mysql_fetch_array($detect);
$owner = $resultat["owner"];
if(!$resultat or $owner!=$login){print"Вещь не найдена в инвентаре."; die();}

$s="select * from inv where id=$item_id";
$q=mysql_query($s);
$res=mysql_fetch_array($q);
$obj_type=$res["object_type"];
$obj_id=$res["object_id"];

$ss="select * from $obj_type where id=$obj_id";
$qq=mysql_query($ss);
$res2=mysql_fetch_array($qq);
$name=$res2["name"];
?>
<script>
if(confirm('Вы уверены что хотите подарить "<?echo $name?>" персонажу <?echo $to?>?')){location.href='main.php?act=gift_conf&item_id=<?echo $item_id?>&to=<?echo $to?>';}
else{location.href='main.php?act=perevod&target=<?echo $to?>';}
</script>
<?
}
if($act=="gift_conf"){
gift($login,$item_id,$to);
}

if($act=="give"){
$detect = mysql_query("SELECT * FROM inv WHERE id='$item_id'");
$resultat = mysql_fetch_array($detect);
$owner = $resultat["owner"];
if(!$resultat or $owner!=$login){print"Вещь не найдена в инвентаре."; die();}

$s="select * from inv where id=$item_id";
$q=mysql_query($s);
$res=mysql_fetch_array($q);
$obj_type=$res["object_type"];
$obj_id=$res["object_id"];

$ss="select * from $obj_type where id=$obj_id";
$qq=mysql_query($ss);
$res2=mysql_fetch_array($qq);
$name=$res2["name"];
?>
<script>
if(confirm('Вы уверены что хотите передать "<?echo $name?>" персонажу <?echo $to?>?')){location.href='main.php?act=give_conf&item_id=<?echo $item_id?>&to=<?echo $to?>';}
else{location.href='main.php?act=perevod&target=<?echo $to?>';}
</script>
<?
}
if($act=="give_conf"){
give($login,$item_id,$to);
}



if($act == "giveName"){
        if(empty($target)){
        include "giveName.php";
        }
        else{
        $UPDATE = mysql_query("UPDATE inv SET book_name='$target' WHERE id='$book'");
        print "Заглавие успешно записано в книгу.";
        }
}
if($act=="none" or empty($act)){
include "room_detect.php";
}

?>

</td>
</tr>
</table>